#4 Spell Check: The Enchant library couldn't be initialized (un

closed-accepted
spellcheck (10)
5
2008-08-03
2008-08-02
dmaphy
No

Since i had do reinstall my Fedora-System the Spell Check plugin can't initialize enchant. When starting up geany with enabled Spell Check plugin or when enabling the Spell Check plugin a dialog pops up with the error-message "The Enchant library couldn't be initialized (unknown error)." as also shown in the attached screenshot.

When running geany with -d option, the following line gets output, when quitting geany:

** (geany:3823): CRITICAL **: enchant_broker_free_dict: assertion `dict' failed

The issue still exists when rebuilding geany from latest svn and rebuilding the plugins.

enchant-* packages are all installed on my Fedora system:

enchant-1.4.2-1.fc9.i386
enchant-aspell-1.4.2-1.fc9.i386
enchant-devel-1.4.2-1.fc9.i386
enchant-voikko-1.4.2-1.fc9.i386
python-enchant-1.3.1-2.fc9.i386

Discussion

  • dmaphy
    dmaphy
    2008-08-02

    screenshot of dialog when starting up geany or enabling the spell check plugin.

     
  • Enrico Tröger
    Enrico Tröger
    2008-08-02

    Logged In: YES
    user_id=1117045
    Originator: NO

    Might it be that your configured language is wrong or not supported?
    If you are not sure, delete the config file of the plugin in ~/.geany/plugins/spellcheck/spellcheck.conf and try again.

     
  • Enrico Tröger
    Enrico Tröger
    2008-08-02

    • labels: --> spellcheck
    • assigned_to: nobody --> eht16
     
  • dmaphy
    dmaphy
    2008-08-03

    Logged In: YES
    user_id=1325039
    Originator: YES

    The problem was, that the spellcheck language and my system language were not the same. System language is german, but aspell-de was missing. After installing aspelling-de this works fine.

     
  • Enrico Tröger
    Enrico Tröger
    2008-08-03

    Logged In: YES
    user_id=1117045
    Originator: NO

    The spellcheck plugin doesn't behave in a sane way when the requested dictionary(default language) isn't available.
    The current SVN version (>= r137) has an extra hint in the error message and additionally disables the Tools sub menu item if a dictionary could not be loaded.
    Though, there is more work needed to make it more robust.

     
  • Enrico Tröger
    Enrico Tröger
    2008-08-03

    • status: open --> closed-accepted
     
  • Greg Supina
    Greg Supina
    2010-06-28

    I had the same error in the Windows version. The pop-up message said:

    "The enchant library couldn't be initialized (unknown error (maybe the chosen language is not available))."

    My system is Windows 7 Home Premium on an HP Notebook with an AMD Athlon II Dual-Core M320 2.10 GHz with three gigs of RAM.

    After Geany loads, the debug messages are:

    11:48:23: INFO : Geany 0.19, GTK+ 2.16.6, GLib 2.20.5 (English_Canada.1252)
    11:48:23: INFO : Added filetype Genie (48).
    11:48:23: INFO : Loaded: C:\Program Files (x86)\Geany\lib\addons.dll (Addons)
    11:48:23: INFO : Loaded: C:\Program Files (x86)\Geany\lib\geanydoc.dll (Doc)
    11:48:23: INFO : Loaded: C:\Program Files (x86)\Geany\lib\htmlchars.dll (HTML Characters)
    `C:\Program Files (x86)\Geany\lib\geany-plugins\geanylua\libgeanylua.dll': %1 is not a valid Win32 application.

    Lua Script: Can't load support library C:\Program Files (x86)\Geany\lib\geany-plugins\geanylua\libgeanylua.dll!

    Lua Script: Can't find support library C:\Program Files (x86)\Geany\lib\geany-plugins\geanylua\libgeanylua.dll!

    11:48:23: INFO : Loaded: C:\Program Files (x86)\Geany\lib\geanylua.dll (Lua Script)
    11:48:23: WARNING : Stored language ('en') could not be loaded.
    11:50:35: INFO : Loaded: C:\Program Files (x86)\Geany\lib\spellcheck.dll (Spell Check)
    11:50:35: INFO : unknown : None (UTF-8)
    ================================================================

    Having looked through the config files, I cannot find anything which could solve this problem. Also, I am not a computer programmer. I am just working on one website with HTML and JavaScript. So I don't even have a clue as to what the problem could be.